For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a segment

This endpoint creates a new segment using the data provided in the request body.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint creates a new segment using the data provided in the request body."

Create a segment

Create a segment

post

This endpoint creates a new segment using the data provided in the request body.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The created segment

application/json
post/v1/segments
POST /v1/segments HTTP/1.1
Host: customer.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "segment": {
    "category": [
      "text"
    ],
    "description": "text",
    "name": "text",
    "retailerTeamId": "text",
    "segmentId": "text",
    "sourceId": "text"
  }
}
{
  "segment": {
    "category": [
      "text"
    ],
    "description": "text",
    "id": "text",
    "name": "text",
    "retailerTeamId": "text",
    "segmentId": "text",
    "sourceId": "text"
  }
}